From c6aa039e5d0c721a7df109ca0daa06775e36d0f0 Mon Sep 17 00:00:00 2001
From: Chenxiong Qi <cqi@redhat.com>
Date: Jun 12 2018 04:52:11 +0000
Subject: [PATCH 1/15] Generate documents by sphinx


Basic documents structure is added and APIs are also added as startup.

Fix #50

Signed-off-by: Chenxiong Qi <cqi@redhat.com>

---

diff --git a/.gitignore b/.gitignore
index c80d326..2befce6 100644
--- a/.gitignore
+++ b/.gitignore
@@ -18,3 +18,5 @@ tags
 htmlcov/
 /.eggs/
 .env/
+
+doc/build/
diff --git a/MANIFEST.in b/MANIFEST.in
index b935e18..b9a6593 100644
--- a/MANIFEST.in
+++ b/MANIFEST.in
@@ -3,10 +3,10 @@ include COPYING-koji
 include LGPL
 include CHANGELOG.rst
 include README.rst
-include doc/rpkg_man_page.py
 include bin/rpkg
 recursive-include tests *
 recursive-include etc *
+recursive-include doc *.rst *.py
 
 include requirements/README.rst
 include requirements/*.txt
diff --git a/doc/Makefile b/doc/Makefile
new file mode 100644
index 0000000..8663617
--- /dev/null
+++ b/doc/Makefile
@@ -0,0 +1,20 @@
+# Minimal makefile for Sphinx documentation
+#
+
+# You can set these variables from the command line.
+SPHINXOPTS    = -E
+SPHINXBUILD   = sphinx-build
+SPHINXPROJ    = rpkg
+SOURCEDIR     = source
+BUILDDIR      = build
+
+# Put it first so that "make" without argument is like "make help".
+help:
+	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)
+
+.PHONY: help Makefile
+
+# Catch-all target: route all unknown targets to Sphinx using the new
+# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
+%: Makefile
+	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)
